.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

* {
  box-sizing: border-box;
}

.open-btn-wrapper {
  display: flex;
  justify-content: center;
  gap: 40px;
}

.open-modal-btn {
  padding: 15px 20px;
  border: none;
  border-radius: 8px;
}

.modal-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 12px;
  width: 520px;

  &__close-btn {
    position: absolute;
    top: 15px;
    right: 20px;
    width: 40px;
    height: 40px;
    padding: 0px;
    background-color: transparent;
    border: none;
    background: url("./images/Krestiksvgpng.ru_.svg") center/cover no-repeat;
  }

  &__header {
    height: 70px;
    margin: 0;
    padding: 24px 0px 24px 30px;
    border-radius: 12px 12px 0px 0px;
    font-size: 26px;
    line-height: 1;
    font-weight: bold;
    text-align: left;
    color: white;
  }

  &__body {
    padding: 36px 42px;
    margin: 0 auto;
    font-size: 20px;
    color: white;
  }

  &__actions {
    display: flex;
    justify-content: center;
    padding-bottom: 24px;
  }

  &-btn {
    width: 100px;
    height: 42px;
    font-size: 16px;
    margin-right: 10px;
    border: none;
    border-radius: 8px;
    color: white;
    box-shadow: none;
  }
}

.delete-modal {
  background-color: #ea4b35;

  &__header {
    background-color: #d64530;
  }

  & .ok-btn,
  & .cancel-btn {
    background-color: #b53726;
  }
}

.save-modal {
  background-color: #03b61b;

  &__header {
    background-color: rgb(5, 151, 42);
  }

  & .save-btn,
  & .discard-btn {
    background-color: #014e14;
  }
}
